import {
    ApiModel
} from "../../utils/api";
const _Http = new ApiModel();
Page({
    /**
     * 页面的初始数据
     */
    data: {},
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad: function (options) {
        this.setData({
            userid: wx.getStorageSync('userData').userid,
            timdialogid: options.id,
            pageType: options.type
        })
        this.query_imdialogMessage();
    },
    query_imdialogMessage() {
        let condition = "",
            begdate = '',
            enddate = '';
        _Http.basic({
            "accesstoken": wx.getStorageSync('userData').token,
            "classname": "system.im.imdialog.imdialog",
            "method": "query_imdialogMessage",
            "content": {
                "pageNumber": this.data.pageNumber,
                "pageSize": 50,
                "timdialogid": this.data.timdialogid,
                "where": {
                    "condition": condition,
                    "begdate": begdate,
                    "enddate": enddate
                }
            }
        }).then(async res => {
            console.log("聊天记录", res)
            if (res.msg != '成功') return wx.showToast({
                title: res.data,
                icon: "none"
            });
            let list = res.data;
            list = list.reverse();
            if (res.pageNumber != 1) {
                if (this.data.pageType == '话题') list = await this.querySubject(list);
                list = list.concat(this.data.socketMsgQueue);
                this.setData({
                    socketMsgQueue: list,
                    toView: `item${res.data.length - 1}`,
                    triggered: false
                })
            } else {
                if (this.data.pageType == '话题') list = await this.querySubject(list);
                this.setData({
                    socketMsgQueue: list,
                    toView: `item${res.data.length - 1}`,
                    pageTotal: res.pageTotal
                })
            }
            /* if (res.pageNumber != 1) {
                let list = res.data;
                list = list.reverse();
                list = list.concat(this.data.socketMsgQueue);
                this.setData({
                    socketMsgQueue: list
                })
            } else {
                let list = res.data;
                list = list.reverse();
                this.setData({
                    socketMsgQueue: list,
                    toView: `item${res.data.length - 1}`,
                    pageTotal: res.pageTotal
                })
            } */
        })
    },
    async querySubject(array) {
        console.log("列表", array)
        let list = [];
        for (let index = 0; index < array.length; index++) {
            await _Http.basic({
                "accesstoken": wx.getStorageSync('userData').token,
                "classname": "system.im.imdialog.imdialog",
                "method": "querySubject",
                "content": {
                    "timsubjectid": array[index].message.data.ownerid
                }
            }, false).then(res => {
                if (res.data.length != 0 && res.data[0].imsubjectcontent.length != 0) {
                    res.data[0].sendfrom = array[index].message.sendfrom;
                    res.data[0].timdialogid = array[index].message.timdialogid;
                    if (res.data[0].closedate != null) {
                        let time = res.data[0].closedate.split('.');
                        res.data[0].closedate = time[0];
                    } else {
                        let time = res.data[0].createdate.split('.');
                        res.data[0].createdate = time[0];
                    }
                    let obj = {
                        message: res.data[0]
                    }
                    list.push(obj);
                }
            })
        }
        return list;
    },
    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady: function () {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow: function () {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide: function () {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload: function () {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh: function () {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom: function () {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage: function () {

    }
})